--
-- $Id$
--
-- Update kostensoorten van verwerkte facturen

DEFINE thisfile = 'AADS#40174.SQL'
DEFINE dbuser   = '^AADS'
DEFINE custid   = 'AADS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- 65 = CF Bewak
UPDATE fin_factuur
   SET prs_kostensoort_key = 65
 WHERE fin_factuur_key = 104163;

-- 89 = FINUPD
INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
   SELECT SYSDATE,
          89,
          fin_factuur_key,
          'Kostensoort op verzoek van AAFM aanpepast naar CF BEWAK'
     FROM fin_factuur
    WHERE fin_factuur_key = 104163;
    
-- 81 = CV Bewak
UPDATE fin_factuur
   SET prs_kostensoort_key = 81
 WHERE fin_factuur_key = 104167;

-- 89 = FINUPD
INSERT INTO fac_tracking (fac_tracking_datum,
                          fac_srtnotificatie_key,
                          fac_tracking_refkey,
                          fac_tracking_oms)
   SELECT SYSDATE,
          89,
          fin_factuur_key,
          'Kostensoort op verzoek van AAFM aanpepast naar CV BEWAK'
     FROM fin_factuur
    WHERE fin_factuur_key = 104167;    

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

-- @@ &custid